# Mark features as stale / not stale POST https://app.unleash-instance.example.com/api/admin/projects/{projectId}/stale Content-Type: application/json This endpoint marks the provided list of features as either [stale](https://docs.getunleash.io/concepts/technical-debt#stale-and-potentially-stale-flags) or not stale depending on the request body you send. Any provided features that don't exist are ignored. Reference: https://docs.getunleash.io/api/stale-features ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Mark features as stale / not stale version: endpoint_features.staleFeatures paths: /api/admin/projects/{projectId}/stale: post: operationId: stale-features summary: Mark features as stale / not stale description: >- This endpoint marks the provided list of features as either [stale](https://docs.getunleash.io/concepts/technical-debt#stale-and-potentially-stale-flags) or not stale depending on the request body you send. Any provided features that don't exist are ignored. tags: - - subpackage_features parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '202': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Features_staleFeatures_Response_202' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: batchStaleSchema content: application/json: schema: $ref: '#/components/schemas/batchStaleSchema' components: schemas: batchStaleSchema: type: object properties: features: type: array items: type: string description: A list of features to mark as (not) stale stale: type: boolean description: >- Whether the list of features should be marked as stale or not stale. If `true`, the features will be marked as stale. If `false`, the features will be marked as not stale. required: - features - stale Features_staleFeatures_Response_202: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/stale" payload = { "features": ["my-feature-1", "my-feature-2", "my-feature-3"], "stale": True } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/stale'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"features":["my-feature-1","my-feature-2","my-feature-3"],"stale":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/stale" payload := strings.NewReader("{\n \"features\": [\n \"my-feature-1\",\n \"my-feature-2\",\n \"my-feature-3\"\n ],\n \"stale\": true\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/stale") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"features\": [\n \"my-feature-1\",\n \"my-feature-2\",\n \"my-feature-3\"\n ],\n \"stale\": true\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/projects/projectId/stale") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"features\": [\n \"my-feature-1\",\n \"my-feature-2\",\n \"my-feature-3\"\n ],\n \"stale\": true\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/stale', [ 'body' => '{ "features": [ "my-feature-1", "my-feature-2", "my-feature-3" ], "stale": true }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/stale"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"features\": [\n \"my-feature-1\",\n \"my-feature-2\",\n \"my-feature-3\"\n ],\n \"stale\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "features": ["my-feature-1", "my-feature-2", "my-feature-3"], "stale": true ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/stale")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```